Page MenuHomePhabricator

Footer doesn't clear floated content
Closed, ResolvedPublic0.5 Story Points

Description

https://commons.m.wikimedia.org/wiki/User:Jdlrobson
Note how the image spills into the footer.
This only impacts user pages.

A/C

  • Make sure the contents of #content stay in it.

Test Plan


and not like this:

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptOct 11 2016, 9:11 PM
Jdlrobson renamed this task from Footer doesn't clear content to Footer doesn't clear floated content.Oct 11 2016, 9:12 PM
Jdlrobson updated the task description. (Show Details)
ovasileva triaged this task as High priority.Oct 12 2016, 3:25 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva set the point value for this task to 0.5.
bmansurov updated the task description. (Show Details)Oct 14 2016, 4:36 PM
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-84-Zero-minutes-left board.
Jdlrobson updated the task description. (Show Details)Oct 24 2016, 11:25 PM

Change 317738 had a related patch set uploaded (by Jdlrobson):
Clear content to avoid user page float issues

https://gerrit.wikimedia.org/r/317738

bmansurov updated the task description. (Show Details)Oct 25 2016, 5:42 PM

Change 317738 merged by jenkins-bot:
Clear content to avoid user page float issues

https://gerrit.wikimedia.org/r/317738

Testing in various environments. I have screencaps of the following below:

Nexus 9 Android 6.0.1 (Chrome) tablet

Galaxy SIII Android 4.4.2 (Browser) mobile phone

Galaxy SIII Android 4.4.2 (Chrome) mobile phone

In all three examples, the image is above the footer, so this appears fixed.

phuedx reassigned this task from Jdlrobson to ovasileva.Oct 27 2016, 9:59 AM
ovasileva closed this task as Resolved.Oct 31 2016, 3:54 PM